com.gisgraphy.importer

## Enum MunicipalityDetector.MunicipalityDetectionStrategy

- java.lang.Object
- - java.lang.Enum<MunicipalityDetector.MunicipalityDetectionStrategy>
  - - com.gisgraphy.importer.MunicipalityDetector.MunicipalityDetectionStrategy

- All Implemented Interfaces:
    Serializable, Comparable<MunicipalityDetector.MunicipalityDetectionStrategy>
  Enclosing class:
    MunicipalityDetector

      public static enum MunicipalityDetector.MunicipalityDetectionStrategy
      extends Enum<MunicipalityDetector.MunicipalityDetectionStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADM1CODE`
    `ADM2CODE`
    `ADM3CODE`
    `ADM4CODE`
    `ADM5CODE`
    `NO_STRATEGY`
    `POPULATION`
    `POPULATION_AND_ADM1CODE`
    `POPULATION_AND_ADM2CODE`
    `POPULATION_AND_ADM3CODE`
    `POPULATION_AND_ADM4CODE`
    `POPULATION_AND_ADM5CODE`
    `POPULATION_OR_ADM1CODE`
    `POPULATION_OR_ADM2CODE`
    `POPULATION_OR_ADM3CODE`
    `POPULATION_OR_ADM4CODE`
    `POPULATION_OR_ADM5CODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MunicipalityDetector.MunicipalityDetectionStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MunicipalityDetector.MunicipalityDetectionStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_STRATEGY

          public static final MunicipalityDetector.MunicipalityDetectionStrategy NO_STRATEGY

    - #### POPULATION

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION

    - #### ADM1CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy ADM1CODE

    - #### ADM2CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy ADM2CODE

    - #### ADM3CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy ADM3CODE

    - #### ADM4CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy ADM4CODE

    - #### ADM5CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy ADM5CODE

    - #### POPULATION_OR_ADM1CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_OR_ADM1CODE

    - #### POPULATION_OR_ADM2CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_OR_ADM2CODE

    - #### POPULATION_OR_ADM3CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_OR_ADM3CODE

    - #### POPULATION_OR_ADM4CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_OR_ADM4CODE

    - #### POPULATION_OR_ADM5CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_OR_ADM5CODE

    - #### POPULATION_AND_ADM1CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_AND_ADM1CODE

    - #### POPULATION_AND_ADM2CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_AND_ADM2CODE

    - #### POPULATION_AND_ADM3CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_AND_ADM3CODE

    - #### POPULATION_AND_ADM4CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_AND_ADM4CODE

    - #### POPULATION_AND_ADM5CODE

          public static final MunicipalityDetector.MunicipalityDetectionStrategy POPULATION_AND_ADM5CODE

  - ### Method Detail

    - #### values

          public static MunicipalityDetector.MunicipalityDetectionStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MunicipalityDetector.MunicipalityDetectionStrategy c : MunicipalityDetector.MunicipalityDetectionStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MunicipalityDetector.MunicipalityDetectionStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.